using UnityEngine;
using System.Collections;
using Framework.Entities;
using Framework.Utility;
using Framework.StatSystem;

public class AlchemistMedicineAbility : CoreBehaviour
{
    private Health health;
    private AlchemistBag bag;

    public void UseMedicine()
    {
        if (this.bag.medicineCount > 0)
        {
            this.bag.medicineCount--;
            Interact(new Health.HealAction(50));
        }
    }

    protected override void InnerAwake()
    {
        this.bag = GetComponent<AlchemistBag>();
    }

    protected override void InnerUpdate()
    {
    }
}
